PUT
/api/v1/monitoring/single-service/alerts/{alert_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/alerts/{alert_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "trigger_data": { "trigger_type": "load", "trigger_operator": ">", "trigger_threshold": 10, "owner": 45961, "trigger_severity": 3 }}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/alerts/{alert_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "trigger_data": { "trigger_type": "load", "trigger_operator": ">", "trigger_threshold": 10, "owner": 45961, "trigger_severity": 3, }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/monitoring/single-service/alerts/{alert_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "trigger_data": { "trigger_type": "load", "trigger_operator": ">", "trigger_threshold": 10, "owner": 45961, "trigger_severity": 3 } }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”alert_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
trigger_data
required
object
trigger_type
required
Type of trigger (e.g., load, cpu, memory).
string
trigger_operator
required
Comparison operator for the trigger (e.g., >, <, >=).
string
trigger_threshold
required
Threshold value to evaluate the trigger.
number
owner
required
ID of the owner who set the trigger.
integer
trigger_severity
required
Severity level of the trigger.
integer
Example
{ "trigger_data": { "trigger_type": "load", "trigger_operator": ">", "trigger_threshold": 10, "owner": 45961, "trigger_severity": 3 }}Responses
Section titled “Responses”Alert updated successfully
Media typeapplication/json
object
code
HTTP status code
integer
data
Message or result data
string
errors
Any error details (empty if none)
object
key
additional properties
any
message
General response message
string
Example
{ "code": 200, "data": "Alert updated successfully", "message": "Success"}